Vai al contenuto

Gemini 3 Pro Image Preview · Edit

Integra

ID del modello gemini-3-pro-image-preview/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/gemini-3-pro-image-preview/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Questa richiesta: 0,15 $ 150 crediti API Esegui in questa pagina

Ottieni la chiave API
Google Modifica immagini Output 4Kfino a 4K #realism#typography

Editing di Gemini 3 Pro Image da immagini di riferimento, con output da 1K a 4K e opzione di ricerca web

Creato su Doitong

Lavori pubblici creati con Gemini 3 Pro Image Preview dalla community di Doitong. Riutilizza un prompt con un clic.

Lavori pubblici mostrati: 16
[Lighting: cinematic] Art style: Кинематографический, фотореалистичный. Крупный план экрана компь...

[Lighting: cinematic] Art style: Кинематографический, фотореалистичный. Крупный план экрана компьютера. По экрану бегут строки фейковых данных: IP-адрес, город, личная информация. Поверх изображения — красный 'сканирующий' луч и мигающие символы тревоги. В отражении экрана видны амогусы с ножами...

Recreate this exact cinematic film shot from the reference image as a brand-new photorealistic re...

Recreate this exact cinematic film shot from the reference image as a brand-new photorealistic render. Match exactly: the composition and framing, the camera angle and lens, the lighting direction, the light rays and haze, the color grade, and the design of every object and character, including...

Strong rule: style --- Whimsical 3D Illustration ---. Strong rule: style --- Whimsical 3D Illustr...

Strong rule: style --- Whimsical 3D Illustration ---. Strong rule: style --- Whimsical 3D Illustration ---. Strong rule: style --- Whimsical 3D Illustration ---. Милая антропоморфная овечка в полный рост, длинная длинная стройная фигура, фигура удлиненная, пушистая кремово-белая кудрявая шерсть,...

[Lighting: cinematic] Art style: Кинематографический, фотореалистичный. Крупный план руки парня, ...

[Lighting: cinematic] Art style: Кинематографический, фотореалистичный. Крупный план руки парня, которая решительно нажимает кнопку 'Включить SILA VPN' на экране. В момент клика вся комната заливается мощным, чистым синим светом. Амогусы в ужасе отлетают от окон и дверей, их 2D-формы искажаются....

[Lighting: cinematic] Art style: Кинематографический, фотореалистичный. Та же комната, но теперь ...

[Lighting: cinematic] Art style: Кинематографический, фотореалистичный. Та же комната, но теперь она залита спокойным синим светом от монитора. Парень расслабленно сидит в кресле и энергетик монстер. За окном видно, как побежденные амогусы с ножами грустно уходят. Стиль - полный реализм,...

Нужен кадр вот к этой секунде 00:08 без снега пусть будет лето, без текста Используй референс тол...

Нужен кадр вот к этой секунде 00:08 без снега пусть будет лето, без текста Используй референс только при необходимости, если он есть в кадре по этому сценарию Вот подробный сценарий вирального музыкального клипа. **Стиль и эстетика:** Яркая, насыщенная цветовая палитра в духе колоризованного...

Нужен кадр вот к этой секунде 00:48 без снега пусть будет лето, без текста Используй референс тол...

Нужен кадр вот к этой секунде 00:48 без снега пусть будет лето, без текста Используй референс только при необходимости, если он есть в кадре по этому сценарию Вот подробный сценарий вирального музыкального клипа. **Стиль и эстетика:** Яркая, насыщенная цветовая палитра в духе колоризованного...

Use the woman from the reference photo as the main character, preserve her facial identity, natur...

Use the woman from the reference photo as the main character, preserve her facial identity, natural facial features, realistic skin texture, eyes, lips, eyebrows and face shape. Create a magical cinematic summer fantasy scene. The woman is sitting or lying on soft green grass in a beautiful...

Crea una richiesta

I controlli vengono generati dallo schema del modello. Il codice e il prezzo si aggiornano mentre li modifichi.

•obbligatorio 88 / 50000

Istruzioni testuali per modificare un'immagine.

•obbligatorio image_urls
Trascina un file oppure

URL che identificano le immagini sorgente per l'editing o la generazione image-to-image.

aspect_ratio predefinito auto

Rapporto d'aspetto dell'immagine risultante.

resolution predefinito 1K

Risoluzione dell'immagine di output.

num_images predefinito 1

Numero di immagini richiesto per la generazione.

Avanzate system_prompt · output_format · safety_tolerance · seed · limit_generations · enable_web_search
0 / 50000

Indicazioni facoltative, valide per l'intera richiesta, sulla persona e sullo stile dell'output, inviate a Gemini come istruzione di sistema o ai provider compatibili con OpenAI come messaggio di sistema. Se il valore è vuoto, per questa istruzione non viene inviato nulla.

output_format predefinito png

Formato del file dell'immagine risultante.

safety_tolerance predefinito 4

Imposta la tolleranza della moderazione dei contenuti tra il livello meno restrittivo, 6, e quello più rigido, 1, che blocca la maggior parte dei contenuti.

Valore seed che inizializza la generazione di numeri casuali.

POST /run/gemini-3-pro-image-preview/edit?wait=20 preventivo → 0,15 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/gemini-3-pro-image-preview/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Esegui questa richiesta

La tua chiave rimane in questo browser: viene inviata solo al Doitong API e salvata in localStorage solo se selezioni Ricorda. Ottieni una chiave API

Informazioni su Gemini 3 Pro Image Preview · Edit

Modifica o ricombina immagini da `image_urls` (obbligatorio) secondo un `prompt`. `aspect_ratio` è auto per impostazione predefinita, `resolution` può essere 1K, 2K o 4K e si possono abilitare `system_prompt` e ricerca web. Restituisce da 1 a 4 immagini modificate in PNG, JPEG o WebP.

Parametri

Invia il nome canonico oppure il nome nativo, non entrambi. Nomi canonici

NomeTipo PredefinitoConsentiti Descrizione
promptobbligatorio
Tipostring
≤ 50.000 caratteri≥ 3 caratteri
Istruzioni testuali per modificare un'immagine.
num_imagesfacoltativo num_outputs
Tipointeger
Predefinito1
1 – 4
Numero di immagini richiesto per la generazione.
seedfacoltativo
Tipointeger | null
Valore seed che inizializza la generazione di numeri casuali.
aspect_ratiofacoltativo
Tipoenum
Predefinitoauto
auto21:916:93:24:35:41:14:53:42:39:16
Rapporto d'aspetto dell'immagine risultante.
output_formatfacoltativo
Tipoenum
Predefinitopng
jpegpngwebp
Formato del file dell'immagine risultante.
safety_tolerancefacoltativo
Tipoenum
Predefinito4
123456
Imposta la tolleranza della moderazione dei contenuti tra il livello meno restrittivo, 6, e quello più rigido, 1, che blocca la maggior parte dei contenuti.
image_urlsobbligatorio images
Tipourl[] · image
URL che identificano le immagini sorgente per l'editing o la generazione image-to-image.
system_promptfacoltativo
Tipostring
Predefinito
≤ 50.000 caratteri
Indicazioni facoltative, valide per l'intera richiesta, sulla persona e sullo stile dell'output, inviate a Gemini come istruzione di sistema o ai provider compatibili con OpenAI come messaggio di sistema. Se il valore è vuoto, per questa istruzione non viene inviato nulla.
resolutionfacoltativo
Tipoenum
Predefinito1K
1K2K4K
Risoluzione dell'immagine di output.
limit_generationsfacoltativo
Tipoboolean
Predefinitotrue
Limite di generazione sperimentale: abilitando `True`, vengono sovrascritte le indicazioni sul numero di immagini nel prompt e ogni ciclo di prompting viene limitato a 1 generazione.
obbligatorio Nome canonico, accettato anche

I parametri file accettano un URL pubblico https://, un URI data: fino a 10 MB oppure il file_url di un caricamento. File

Output

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "gemini-3-pro-image-preview/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 150,
    "usd": "0.15",
    "charged": 150,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "description": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
I tuoi file, la tua sceltaOgni outputs[].url è una copia nella nostra archiviazione: conservata per sempre (a pagamento per GB-mese) oppure 7 giorni gratuitamente, in base all'impostazione dell'account o a ?storage=.
Stessa struttura per ogni modellotype, url, content_type, width, height e duration, per immagini, video e audio. output è l'oggetto risultato del modello.
Campi dell'output
images
array of object {url, content_type, file_name, file_size, width, height}Immagini risultanti dalla modifica.
description
stringDescrizione associata alle immagini generate.

Altri modelli: Modifica immagini

Per gli agenti AI: questa pagina in Markdown è disponibile all'indirizzo https://doitong.com/it/developers/models/gemini-3-pro-image-preview/edit.md. Tutti i modelli e le guide: https://doitong.com/developers/llms.txt